package eu.mhsl.minecraft.endlessjumper.generator;

import net.minestom.server.instance.block.Block;

import java.util.ArrayList;
import java.util.Random;

public class BlockPalette {
    public static Block getRandom(int seed) {
        Random r = new Random(seed);
        ArrayList<Block> blocks = new ArrayList<>();

        blocks.add(Block.COPPER_BLOCK);
        blocks.add(Block.CUT_COPPER);
        blocks.add(Block.WEATHERED_COPPER);
        blocks.add(Block.WEATHERED_CUT_COPPER);
        blocks.add(Block.OXIDIZED_COPPER);
        blocks.add(Block.OXIDIZED_CUT_COPPER);

        return blocks.get(r.nextInt(0, blocks.size()));
    }
}
